import { ActivatedRouteSnapshot, CanActivate, CanLoad, Router, Route } from '@angular/router';
import { Observable } from 'rxjs';
import { AccessService } from './access.service';
import { AccessServiceConfig } from '../config';
export declare class AccessGuard implements CanActivate, CanLoad {
    private router;
    private accessService;
    private config;
    constructor(router: Router, accessService: AccessService, config: AccessServiceConfig);
    canActivate(next: ActivatedRouteSnapshot): Observable<boolean>;
    canLoad(route: Route): Observable<boolean>;
}
