import { Observable } from 'rxjs';
import { AccessServiceConfig } from '../config';
import { AccessConfiguration } from '../helpers';
import { AccessStrategy } from './access-strategy.service';
export declare class AccessService {
    constructor(config: AccessServiceConfig, accessStrategy: AccessStrategy);
    setConfiguration(access?: AccessConfiguration): void;
    setAccessStrategy(accessStrategy: AccessStrategy): void;
    can(access: string): Observable<boolean>;
}
