import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Observable, Subject } from 'rxjs';
import { AccessService } from '../services/access.service';
export declare class AccessDirective implements OnInit {
    private template;
    private viewContainer;
    private accessService;
    private parentAccessDirective;
    ngxAccess: string;
    ngxAccessElse?: TemplateRef<any>;
    onDestroy$: Subject<void>;
    private _access$;
    private access$;
    private children$?;
    constructor(template: TemplateRef<any>, viewContainer: ViewContainerRef, accessService: AccessService, parentAccessDirective: AccessDirective);
    ngOnInit(): void;
    observe(child: Observable<boolean>): void;
    unObserve(child: Observable<boolean>): void;
    check(access: string): void;
    ngOnDestroy(): void;
}
